Last modified: 2013-02-12 06:58:31 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39589 - Upgrade Gerrit to 2.6
Upgrade Gerrit to 2.6
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Highest blocker (vote)
: ---
Assigned To: Chad H.
:
Depends on: 43976
Blocks: 38114 35510 35532 35883 37096 37538 38383 38667 39333 40941 41559 43807
  Show dependency treegraph
 
Reported: 2012-08-23 15:59 UTC by Chad H.
Modified: 2013-02-12 06:58 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Chad H. 2012-08-23 15:59:20 UTC
2.5 is super important (yay plugins!)

Just hit rc0 yesterday. Upgraded gerrit-dev labs instance.

Once it hits final, we'll want to upgrade the main instance.
Comment 1 Chad H. 2012-11-16 17:48:10 UTC
This is on hold pending https://gerrit-review.googlesource.com/#/c/39140/ being reviewed & merged.

At which point, we'll probably skip 2.5 and just deploy stable-2.6 + this patch.
Comment 2 Andre Klapper 2012-12-21 16:13:15 UTC
Note: This upgrade is planned for the first quarter of 2013.
Comment 3 Chad H. 2013-02-01 21:05:33 UTC
We've finally ironed out all of the issues with groups, and I'm confident that we'll have a smooth upgrade.

We've pencilled in the date of Feb 11th (a week from Monday) for the upgrade. Once we finalize that, I'll send out the usual notifications to wikitech-l and elsewhere.
Comment 4 Chad H. 2013-02-12 03:23:03 UTC
We are now running 2.5.1-1266-gcc231e1.

So long and good riddance 2.4.x.

Lots of the dependent bugs can probably be resolved, but I'm not going through them tonight.
Comment 5 Marcin Cieślak 2013-02-12 06:58:31 UTC
Congratulations, ^demon!

This is really great. Now all new stuff we prepare ourselves can go live quickly :)

And no longer this "Session cookie not available" screen on login!

I only hate that I don't see my email and logout button anymore, but overall this version is so much better.

Switching to master in the future? :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links